GET
https://api.cryptohopper.com/v1/strategy
Returns the user's own strategies, sorted by name, with the number of strategies in result. The indicator config is not included.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/strategy" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/strategy', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/strategy",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/strategy');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": {
"strategies": [
{
"id": "369000",
"type": "strategy",
"name": "RSI and SAR",
"description": "Buys on RSI oversold with a SAR trend filter",
"logo": "https://cdn.cryptohopper.com/images/strategies/user/369000_2026-09-01-10-15-00.jpg",
"created_date": "2026-09-01 10:15:00"
}
],
"result": 1
}
}